1

I use Fedora 31 and try to troubleshoot a bug where I got the suggestion to upgrade the package from Rawhide. I have installed the repository with dnf install fedora-repos-rawhide and then tried to upgrade the single package. This failed due to GPG issues:

# env LC_ALL=C dnf --enablerepo=rawhide update texlive-microtype
Last metadata expiration check: 0:02:15 ago on Wed Nov 13 10:11:12 2019.
Modular dependency problems:

 Problem 1: conflicting requests
  - nothing provides module(platform:f31) needed by module afterburn:rolling:3120190921123425:22d7e2a5-0.x86_64
 Problem 2: conflicting requests
  - nothing provides module(platform:f31) needed by module avocado:69lts:3120190813194337:f636be4b-0.x86_64
 Problem 3: conflicting requests
  - nothing provides module(platform:f31) needed by module meson:latest:3120190826183302:dc56099c-0.x86_64
 Problem 4: conflicting requests
  - nothing provides module(platform:f31) needed by module zram-generator:rolling:3120190813200958:22d7e2a5-0.x86_64
 Problem 5: conflicting requests
  - nothing provides module(platform:f31) needed by module afterburn:rolling:3120191015163839:22d7e2a5-0.x86_64
 Problem 6: conflicting requests
  - nothing provides module(platform:f31) needed by module avocado:69lts:3120191004211344:f636be4b-0.x86_64
 Problem 7: conflicting requests
  - nothing provides module(platform:f31) needed by module meson:latest:3120191009081836:dc56099c-0.x86_64
 Problem 8: conflicting requests
  - nothing provides module(platform:f31) needed by module zram-generator:rolling:3120191009082925:22d7e2a5-0.x86_64
 Problem 9: conflicting requests
  - nothing provides module(platform:f31) needed by module zola:rolling:3120190922161148:22d7e2a5-0.x86_64
 Problem 10: conflicting requests
  - nothing provides module(platform:f31) needed by module zincati:rolling:3120190926112556:22d7e2a5-0.x86_64
 Problem 11: conflicting requests
  - nothing provides module(platform:f31) needed by module tokei:rolling:3120190921122652:22d7e2a5-0.x86_64
 Problem 12: conflicting requests
  - nothing provides module(platform:f31) needed by module stratis:1:3120190907214611:22d7e2a5-0.x86_64
 Problem 13: conflicting requests
  - nothing provides module(platform:f31) needed by module skim:rolling:3120190921123929:22d7e2a5-0.x86_64
 Problem 14: conflicting requests
  - nothing provides module(platform:f31) needed by module silver:rolling:3120190912064049:22d7e2a5-0.x86_64
 Problem 15: conflicting requests
  - nothing provides module(platform:f31) needed by module sd:rolling:3120190921120742:22d7e2a5-0.x86_64
 Problem 16: conflicting requests
  - nothing provides module(platform:f31) needed by module rpick:latest:3120190515141045:4004e21e-0.x86_64
 Problem 17: conflicting requests
  - nothing provides module(platform:f31) needed by module ripgrep:latest:3120190803131619:22d7e2a5-0.x86_64
 Problem 18: conflicting requests
  - nothing provides module(platform:f31) needed by module pretty-git-prompt:rolling:3120190714104357:22d7e2a5-0.x86_64
 Problem 19: conflicting requests
  - nothing provides module(platform:f31) needed by module ninja:latest:3120190304180949:f636be4b-0.x86_64
 Problem 20: conflicting requests
  - nothing provides module(platform:f31) needed by module newsboat:latest:3120190728140405:22d7e2a5-0.x86_64
 Problem 21: conflicting requests
  - nothing provides module(platform:f31) needed by module minetest:5:3120190308194723:f636be4b-0.x86_64
 Problem 22: conflicting requests
  - nothing provides module(platform:f31) needed by module lsd:rolling:3120190803124134:22d7e2a5-0.x86_64
 Problem 23: conflicting requests
  - nothing provides module(platform:f31) needed by module jmc:latest:3120190813124555:7188e41a-0.x86_64
 Problem 24: conflicting requests
  - nothing provides module(platform:f31) needed by module hyperfine:latest:3120190721071357:22d7e2a5-0.x86_64
 Problem 25: conflicting requests
  - nothing provides module(platform:f31) needed by module heatseeker:latest:3120190921124230:22d7e2a5-0.x86_64
 Problem 26: conflicting requests
  - nothing provides module(platform:f31) needed by module gimp:2.10:3120190904121229:f636be4b-0.x86_64
 Problem 27: conflicting requests
  - nothing provides module(platform:f31) needed by module fish:3:3120190219150858:6045e57d-0.x86_64
 Problem 28: conflicting requests
  - nothing provides module(platform:f31) needed by module ffsend:latest:3120190812145625:22d7e2a5-0.x86_64
 Problem 29: conflicting requests
  - nothing provides module(platform:f31) needed by module fedora-coreos-pinger:rolling:3120190813195119:22d7e2a5-0.x86_64
 Problem 30: conflicting requests
  - nothing provides module(platform:f31) needed by module fd-find:rolling:3120190813195105:22d7e2a5-0.x86_64
 Problem 31: conflicting requests
  - nothing provides module(platform:f31) needed by module exa:latest:3120190813195051:22d7e2a5-0.x86_64
 Problem 32: conflicting requests
  - nothing provides module(platform:f31) needed by module eclipse:2019-06:3120190902131726:efdece7d-0.x86_64
 Problem 33: conflicting requests
  - nothing provides module(platform:f31) needed by module dwm:6.2:3120190813195003:f636be4b-0.x86_64
 Problem 34: conflicting requests
  - nothing provides module(platform:f31) needed by module dutree:rolling:3120190926112243:22d7e2a5-0.x86_64
 Problem 35: conflicting requests
  - nothing provides module(platform:f31) needed by module cbindgen:rolling:3120190515070043:4004e21e-0.x86_64
 Problem 36: conflicting requests
  - nothing provides module(platform:f31) needed by module bat:latest:3120190813194409:22d7e2a5-0.x86_64
 Problem 37: conflicting requests
  - nothing provides module(platform:f31) needed by module askalono-cli:rolling:3120190813194323:22d7e2a5-0.x86_64
Dependencies resolved.
=======================================================================================================================
 Package                          Architecture          Version                           Repository              Size
=======================================================================================================================
Upgrading:
 texlive-microtype                noarch                9:svn50187-5.fc32                 rawhide                 67 k

Transaction Summary
=======================================================================================================================
Upgrade  1 Package

Total size: 67 k
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] texlive-microtype-svn50187-5.fc32.noarch.rpm: Already downloaded                                            
warning: /var/cache/dnf/rawhide-2d95c80a1fa0a67d/packages/texlive-microtype-svn50187-5.fc32.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID 12c944d0: NOKEY
Fedora - Rawhide - Developmental packages for the next Fedora release                  1.6 MB/s | 1.6 kB     00:00    
GPG key at file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-31-x86_64 (0x3C3359C4) is already installed
The GPG keys listed for the "Fedora - Rawhide - Developmental packages for the next Fedora release" repository are already installed but they are not correct for this package.
Check that the correct key URLs are configured for this repository.. Failing package is: texlive-microtype-9:svn50187-5.fc32.noarch
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-31-x86_64
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: GPG check FAILED

These steps seem to be correct, at least they were in 2014. Am I missing a step? Do I need to manually import the Rawhide key as well?

1

One can see in the output that the package is signed with GPG key 0x3C3359C4. Looking at the list of Fedora keys, one finds that this is the signing key for Fedora 32. But looking at /etc/yum.repos.d/fedora-rawhide.repo one can see that it uses $releasever to resolve the key. On my system that is the key for Fedora 31 and therefore it does not work. I have just changed this to a hard 32 and then it worked.

--- fedora-rawhide.repo.bak     2019-10-11 20:50:44.000000000 +0200
+++ fedora-rawhide.repo 2019-11-13 10:28:34.986757292 +0100
@@ -28,7 +28,7 @@
 repo_gpgcheck=0
 type=rpm
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-32-$basearch
 skip_if_unavailable=False

 [rawhide-debuginfo]
@@ -39,7 +39,7 @@
 repo_gpgcheck=0
 type=rpm
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-32-$basearch
 skip_if_unavailable=False

 [rawhide-source]
@@ -50,6 +50,6 @@
 repo_gpgcheck=0
 type=rpm
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-32-$basearch
 skip_if_unavailable=False
1
  • 1
    Instead of modifying the file you can just add --releasever=32 to the dnf command. That will cause $releasever to be set to 32, so the right key will be found. Jul 21 '20 at 15:44

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.